ofono doesn't create core dump

Bug #691450 reported by Kalle Valo on 2010-12-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ofono (Ubuntu)
Wishlist
Mathieu Trudel-Lapierre

Bug Description

Binary package hint: ofono

ofono has it's internal stack trace analyser, here's an example:

Dec 17 09:46:50 tukki ofonod[1165]: Modem: < \r\nNO CARRIER\r\n
Dec 17 09:46:50 tukki ofonod[1165]: drivers/atmodem/gprs-context.c:at_cgdcont_cb() ok 0
Dec 17 09:46:50 tukki ofonod[1165]: src/gprs.c:pri_activate_callback() 0x2341a20 (null)
Dec 17 09:46:50 tukki ofonod[1165]: src/gprs.c:pri_activate_callback() Activating context failed with error: Unknown error type
Dec 17 09:46:50 tukki ofonod[1165]: Aborting (signal 11)
Dec 17 09:46:50 tukki ofonod[1165]: ++++++++ backtrace ++++++++
Dec 17 09:46:50 tukki ofonod[1165]: [0]: /lib/libpthread.so.0(+0xfb40) [0x7f4adc2f0b40]
Dec 17 09:46:50 tukki ofonod[1165]: [1]: ofonod() [0x48e5f1]
Dec 17 09:46:50 tukki ofonod[1165]: [2]: ofonod() [0x44176a]
Dec 17 09:46:50 tukki ofonod[1165]: [3]: ofonod() [0x425715]
Dec 17 09:46:50 tukki ofonod[1165]: [4]: ofonod() [0x42642e]
Dec 17 09:46:50 tukki ofonod[1165]: [5]: ofonod() [0x427f6c]
Dec 17 09:46:50 tukki ofonod[1165]: [6]: /lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f2) [0x7f4adc780342]
Dec 17 09:46:50 tukki ofonod[1165]: [7]: /lib/libglib-2.0.so.0(+0x442a8) [0x7f4adc7842a8]
Dec 17 09:46:50 tukki ofonod[1165]: [8]: /lib/libglib-2.0.so.0(g_main_loop_run+0x195) [0x7f4adc7847b5]
Dec 17 09:46:50 tukki ofonod[1165]: [9]: ofonod() [0x45d8a0]
Dec 17 09:46:50 tukki ofonod[1165]: [10]: /lib/libc.so.6(__libc_start_main+0xfe) [0x7f4adbb70d8e]
Dec 17 09:46:50 tukki ofonod[1165]: [11]: ofonod() [0x40bd59]
Dec 17 09:46:50 tukki ofonod[1165]: +++++++++++++++++++++++++++

We should disable this so that we get crash dumps automatically via apport.

Related branches

Kalle Valo (kvalo) on 2011-02-08
Changed in ofono (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Changed in ofono (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ofono - 0.41-0ubuntu1

---------------
ofono (0.41-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: explicitly Conflicts with modemmanager: having both
    installed / running at the same time causes issues causes issues with both
    claiming modem devices. (LP: #688472)
  * debian/patches/02-dont-handle-stacktraces.patch: stop catching stacktraces
    and printing the information internally, so apport can catch and report
    the possible bugs. (LP: #691450)
  * debian/ofono.postinst: on configure, notify the user that a reboot is
    required (so ofono can get started by upstart). (LP: #600501)
  * debian/control: add new Build-Depends on libbluetooth-dev to build with
    bluetooth support.
  * debian/rules: drop override_dh_strip, not needed for debug symbols with
    cdbs.
  * debian/rules: pass --no-restart-on-upgrade so ofono isn't automatically
    restarted when upgrades.
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 21 Feb 2011 15:08:51 +0100

Changed in ofono (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers